# Update parking detection cameras

`PATCH https://api.parklio.com/v2/parking-detection-cameras/{id}`

This endpoint allows the user to update parking detection cameras by id

**Auth:** `Authorization: Bearer <token>`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | number | yes |  |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `name` | string | no |  |
| `external_id` | string | no |  |
| `uuid` | string | no |  |

```json
{
  "name": "Parking Detection Camera 1",
  "external_id": "0101010101010101",
  "uuid": "d3a17704-98e4-4c8b-bb2e-5c2ec4e1c1f4"
}
```

## Responses

### 200

```json
{
  "success": true,
  "data": {
    "id": 1,
    "name": "Parking Detection Camera 1",
    "uuid": "d3a17704-98e4-4c8b-bb2e-5c2ec4e1c1f4",
    "external_id": "0101010101010101",
    "parking_detection_gateway_id": 1,
    "zone_id": 1,
    "deleted_at": null,
    "created_at": "2026-01-15T09:30:00.000Z",
    "updated_at": "2026-01-15T09:30:00.000Z",
    "view_schema": "string"
  }
}
```

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

### 403 — User does not have permission to access requested resource.

```json
{
  "success": false,
  "errors": [
    {
      "code": 4,
      "message": "No permission."
    }
  ]
}
```

### 404 — Resource that has been requested does not exist. User should not try to repeat this request.

```json
{
  "success": false,
  "errors": [
    {
      "code": 6,
      "message": "Resource not found."
    }
  ]
}
```

### 422 — Some of the provided request parameters are missing or are invalid. User should add/change them according to response message.

```json
{
  "success": false,
  "errors": [
    {
      "code": 23,
      "message": "Validation error",
      "field": "field"
    }
  ]
}
```

